Status: Closed

Priority: High

Assignee: Martin Dobias

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 15905

Description

Dear Martin,

When I start my Postgis Manager I get this error:

Traceback (most recent call last):

  File "C:/Users/jose santos/.qgis//python/plugins\\postgis_manager\\ManagerWindow.py", line 113, in dbConnectInit

    self.dbConnect(selected)

  File "C:/Users/jose santos/.qgis//python/plugins\\postgis_manager\\ManagerWindow.py", line 171, in dbConnect

    self.dbInfo()

  File "C:/Users/jose santos/.qgis//python/plugins\\postgis_manager\\ManagerWindow.py", line 238, in dbInfo

    self.updateView()

  File "C:/Users/jose santos/.qgis//python/plugins\\postgis_manager\\ManagerWindow.py", line 285, in updateView

    self.tabChanged( self.tabs.currentIndex() )

  File "C:/Users/jose santos/.qgis//python/plugins\\postgis_manager\\ManagerWindow.py", line 212, in tabChanged

    self.txtMetadata.showDbInfo()

  File "C:/Users/jose santos/.qgis//python/plugins\\postgis_manager\\MetadataBrowser.py", line 29, in showDbInfo

    gis_info = self.db.get_postgis_info()

  File "C:/Users/jose santos/.qgis//python/plugins\\postgis_manager\\postgis_utils.py", line 173, in get_postgis_info

    self._exec_sql(c, "SELECT postgis_lib_version(), postgis_scripts_installed(), postgis_scripts_released(), postgis_geos_version(),

postgis_proj_version(), postgis_uses_stats()")

  File "C:/Users/jose santos/.qgis//python/plugins\\postgis_manager\\postgis_utils.py", line 748, in _exec_sql

    raise DbError(e)

DbError: function postgis_uses_stats() does not exist

LINE 1: ..., postgis_geos_version(), postgis_proj_version(), postgis_us...

                                                            ^

HINT:  No function matches the given name and argument types. You might need to add explicit type casts.

Query:

SELECT postgis_lib_version(), postgis_scripts_installed(), postgis_scripts_released(), postgis_geos_version(), postgis_proj_version(),

postgis_uses_stats()

Python version:

2.7.3 (default, Apr 10 2012, 23:31:26) [MSC v.1500 32 bit (Intel)]

QGIS version:

1.8.0-Lisboa Lisboa, 6416f38

Python path: ['C:/Users/jose santos/.qgis//python/plugins\\\\sextante', 'C:/OSGeo4W/apps/qgis/./python', 'C:/Users/jose

santos/.qgis//python', 'C:/Users/jose santos/.qgis//python/plugins', 'C:/OSGeo4W/apps/qgis/./python/plugins',
'C:\\\\WINDOWS\\\\system32\\\\python27.zip', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\DLLs', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\plat-win', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\lib-tk',

'C:\\\\OSGeo4W\\\\apps\\\\qgis\\\\bin', 'C:\\\\OSGeo4W\\\\apps\\\\Python27', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode',

'C:\\\\OSGeo4W\\\\apps\\\\qgis\\\\python\\\\plugins\\\\fTools\\\\tools']

Works but give all the time this error.

Any solution?

Best Regards, 

José Santos

History

#1 - 2012-11-22 02:07 PM - Martin Dobias

According to the following page, postgis_uses_stats() is not available in PostGIS 2.0:

http://gis.stackexchange.com/questions/35508/error-when-starting-up-postgis-manager-plugin-in-quantum-gis

#2 - 2012-11-22 02:36 PM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

should be fixed in version 0.5.16

#3 - 2012-11-26 03:31 AM - José Santos

- % Done changed from 0 to 100

Hi Martin,

I already test the new version (0.5.16) of the plugin Postgis Manager and worked fine. Thanks!

Best Regards,

José Santos
